<!--
    Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)
    
    SPDX-License-Identifier: AGPL-3.0-or-later
-->
<script lang="ts" setup>
</script>
<template>

    <div class="flex flex-row gap-1 absolute w-screen">
        <div class="h-full w-56 bg-blue-50 hidden md:block lg:w-[225px] 2xl:w-[250px]">
            <div class=" flex-col gap-2 p-2 h-full hidden md:block lg:w-[225px] 2xl:w-[250px]">
                <div class="mb-1">
                    <div
                        class="bg-accent2-default text-accent2-text rounded-xl uppercase align-middle inline-block w-full select-none text-center text-nowrap h-7 leading-7 text-xs px-2">
                        <i class="ri-home-2-line text-[16px]"></i>
                        <span class="mt-px ml-2">{{ $t('ai.overview.backToPanes.label') }}</span>
                    </div>
                </div>
                <div class="uppercase text-center text-gray-500 select-none py-2">
                    <i class="ri-robot-2-line text-[16px] -mt-px mr-2 mb-2"></i>
                    <span class="mt-px">{{ $t('dashboardPage.ai.label') }}</span>
                </div>
                <div class="flex flex-row w-full justify-stretch">
                    <div
                        class="w-full min-w-fit px-2 rounded-t-lg h-12 border-b-4 first:rounded-bl-sm last:rounded-br-sm leading-10 align-middle text-gray-700 border-gray-700 bg-gray-100">
                        <div class="w-full flex justify-center">
                            <i class="ri-chat-1-line"></i>
                        </div>
                    </div>
                    <div
                        class="w-full min-w-fit px-2 rounded-t-lg h-12 border-b-4 first:rounded-bl-sm last:rounded-br-sm leading-10 align-middle text-gray-700 border-gray-400">
                        <div class="w-full flex justify-center">
                            <div><i class="ri-image-line"></i></div>
                        </div>
                    </div>
                    <div
                        class="w-full min-w-fit px-2 rounded-t-lg h-12 border-b-4 first:rounded-bl-sm last:rounded-br-sm leading-10 align-middle text-gray-700 border-gray-400">
                        <div class="w-full flex justify-center">
                            <div><i class="ri-group-3-line"></i></div>
                        </div>
                    </div>
                </div>
                <div class="flex flex-row justify-stretch w-full gap-2">
                    <div class="w-full py-2">
                        <div>
                            <div
                                class="bg-accent1-default text-accent1-text rounded-xl uppercase align-middle inline-block w-full select-none text-center touch-manipulation text-nowrap h-7 leading-7 text-xs px-2">
                                <i class="ri-add-line ri-2x"></i>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="min-h-[calc(100dvh-364px)] max-h-[calc(100dvh-364px)] overflow-y-auto">
                    <div class="max-w-full flex flex-col gap-1">
                        <div class="animate-pulse flex space-x-4">
                            <div class="rounded-full bg-slate-700 h-10 w-10"></div>
                            <div class="flex-1 space-y-6 py-1">
                                <div class="h-2 bg-slate-700 rounded"></div>
                                <div class="space-y-3">
                                    <div class="grid grid-cols-3 gap-4">
                                        <div class="h-2 bg-slate-700 rounded col-span-2"></div>
                                        <div class="h-2 bg-slate-700 rounded col-span-1"></div>
                                    </div>
                                    <div class="h-2 bg-slate-700 rounded"></div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
        <div class="grow p-8 w-screen sm:max-w-[calc(100dvw-14rem)]">
            <div class="flex flex-col gap-8 h-full select-none max-h-[calc(100dvh-7.5rem)] overflow-auto">
                <div class="inline-block box-border h-1/2">
                    <h1 class="text-3xl text-gray-600 mb-4">{{ $t('ai.chat.newest.label') }}</h1>
                    <div class="max-w-full flex flex-col gap-1">
                        <div class="animate-pulse flex space-x-4">
                            <div class="rounded-full bg-slate-700 h-10 w-10"></div>
                            <div class="flex-1 space-y-6 py-1">
                                <div class="h-2 bg-slate-700 rounded"></div>
                                <div class="space-y-3">
                                    <div class="grid grid-cols-3 gap-4">
                                        <div class="h-2 bg-slate-700 rounded col-span-2"></div>
                                        <div class="h-2 bg-slate-700 rounded col-span-1"></div>
                                    </div>
                                    <div class="h-2 bg-slate-700 rounded"></div>
                                </div>
                            </div>
                        </div>

                    </div>

                </div>
                <div class="inline-block box-border">
                    <h1 class="text-3xl text-gray-600 mb-4">{{ $t('ai.person.newest.label') }}</h1>
                    <div class="max-w-full flex flex-col gap-1">
                        <div class="animate-pulse flex space-x-4">
                            <div class="rounded-full bg-slate-700 h-10 w-10"></div>
                            <div class="flex-1 space-y-6 py-1">
                                <div class="h-2 bg-slate-700 rounded"></div>
                                <div class="space-y-3">
                                    <div class="grid grid-cols-3 gap-4">
                                        <div class="h-2 bg-slate-700 rounded col-span-2"></div>
                                        <div class="h-2 bg-slate-700 rounded col-span-1"></div>
                                    </div>
                                    <div class="h-2 bg-slate-700 rounded"></div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>

</template>